import Logger from "../../../../logger.js";
import type { CommentsTableRow, CommentUpdateType } from "../../../../publications/comment/types.js";
import type { LocalCommunity } from "../local-community.js";
import type { CommentUpdateToWriteToDbAndPublishToIpfs } from "./defaults.js";
export declare function pubsubTopicWithfallback(community: LocalCommunity): string;
export declare function calculateLocalMfsPathForCommentUpdate(community: LocalCommunity, postDbComment: Pick<CommentsTableRow, "cid">, timestampRange: number): string;
export declare function calculateNewCommentUpdate(community: LocalCommunity, comment: CommentsTableRow): Promise<CommentUpdateToWriteToDbAndPublishToIpfs>;
export declare function validateCommentUpdateSignature(community: LocalCommunity, newCommentUpdate: CommentUpdateType, comment: CommentsTableRow, log: Logger): Promise<void>;
export declare function updateCommentsThatNeedToBeUpdated(community: LocalCommunity): Promise<CommentUpdateToWriteToDbAndPublishToIpfs[]>;
export declare function syncPostUpdatesWithIpfs(community: LocalCommunity, commentUpdateRowsToPublishToIpfs: CommentUpdateToWriteToDbAndPublishToIpfs[]): Promise<void>;
export declare function adjustPostUpdatesBucketsIfNeeded(community: LocalCommunity): Promise<void>;
